Module
Contents
Index 🔎︎

# Do...Loop Statement

Upprepar satserna mellan satserna Do och Loop om villkoret är True eller tills villkoret blir True.

## Syntax

    Do [{While | Until} villkor = True]

statementblock

    [Exit Do]

statementblock

    Loop

eller

    Do

statementblock

    [Exit Do]

statementblock

    Loop [{While | Until} villkor = True]

## Parametrar/element

Villkor: En numerisk- eller stränguttrycksjämförelse som utvärderar True och False.

Statementblock: Satser som du vill upprepa medan eller tills villkoret är True.

Satsen Do...Loop kör en loop medan eller tills ett visst villkor uppfylls. Villkoret för att avsluta loopen måste anges efter antingen satsen Do eller Loop. Följande exempel är giltiga kombinationer:

## Syntax

    Do While villkor = True

...statementblock

    Loop

Statementblocket mellan satserna Do While och Loop upprepas så länge som villkoret är sant.

    Do Until villkor = True

...statementblock

    Loop

Statementblocket mellan satserna Do Until och Loop upprepas så länge som villkoret är falskt.

    Do

...statementblock

    Loop While villkor = True

Statementblocket mellan satserna Do While och Loop upprepas så länge som villkoret är sant.

    Do

...statementblock

    Loop Until villkor = True

Statementblocket mellan satserna Do och Loop upprepas tills villkoret är sant.

Använd satsen Exit Do om du vill avsluta loopen ovillkorligt. Du kan lägga till den här satsen var som helst i satsen Do...Loop. Du kan även definiera ett avsluta-villkor genom att använda strukturen If...Then så här:

    Do...

satser

    If villkor = True Then Exit Do

satser

    Loop...

## Exempel

    Sub ExampleDoLoop

    Dim sFile As String

    Dim sPath As String

        sPath = "c:\"

        sFile = Dir$( sPath ,22)

        If sFile <> "" Then

            Do

                MsgBox sFile

                sFile = Dir$

            Loop Until sFile = ""

        End If

    End Sub